// EdIRDV.hpp : header file
//

#ifndef _EDIRDV_HPP_
#define _EDIRDV_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

//////////////////////////////////////////////////////////////////
// class CPA_EdIR_DesignerVariable
//////////////////////////////////////////////////////////////////

class CPA_EdIR_DesignerVariable
{
//ANNECY CB
public:
//	private:
//END
		CString			m_csName;
		CString			m_csType;
		CStringList	m_cslListOfValues;
		BOOL				m_bIsInWatchWindow;

		//BEGIN ROMTEAM Cristi Petrescu 98-05-
		BOOL			m_bIsPrivate;
		//END ROMTEAM Cristi Petrescu 98-05-

	public:
		//Constructor
		//BEGIN ROMTEAM Cristi Petrescu 98-06-
		CPA_EdIR_DesignerVariable(CString,CString,CStringList *,BOOL = FALSE);
		//END ROMTEAM Cristi Petrescu 98-06-

		//Destructor;
		~CPA_EdIR_DesignerVariable();

		//Gets attributes
		CString			m_fn_csGetDesignerVariableName();
		CString			m_fn_csGetDesignerVariableType();
		CString			m_fn_csGetFirstDesignerVariableValue();
		CStringList	*m_fn_pcslGetDesignerVariableValues();
		BOOL				m_fn_bIsInWatchWindow();
		void				m_fn_vSetInWatchWindow(BOOL bIsInWatchWindow);

		//BEGIN ROMTEAM Cristi Petrescu 98-05-
		BOOL			m_fn_bIsPrivate () {return m_bIsPrivate;};
		void			m_fn_bSetPrivate (BOOL bIsPrivate) {m_bIsPrivate = bIsPrivate;};
		//END ROMTEAM Cristi Petrescu 98-05-
};

#endif //_EDIRDV_HPP_
